<?php
$wp_customize->add_section(
	'social_links',
	array(
		'priority'    => 1,
		'panel'       => 'food-blogger',
		'title'       => __( 'Social Links', 'food-blogger' ),
		'description' => __( 'Social Links. to disable social Icon keep that fields empty.', 'food-blogger' ),
		'capability'  => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'facebook',
	array(
		'default'           => '',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'facebook',
	array(
		'label'   => __( 'Facebook Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'twitter',
	array(
		'default'           => '',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'twitter',
	array(
		'label'   => __( 'twitter Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'pinterest',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'pinterest',
	array(
		'label'   => __( 'pinterest Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'youtube',
	array(
		'default'           => '',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'youtube',
	array(
		'label'   => __( 'youtube Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'amazon',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'amazon',
	array(
		'label'   => __( 'Amazon Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'linkedin',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'linkedin',
	array(
		'label'   => __( 'linkedin Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'instagram',
	array(
		'default'           => '',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'instagram',
	array(
		'label'   => __( 'Instagram Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'github',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'github',
	array(
		'label'   => __( 'github Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'stumbleupon',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'stumbleupon',
	array(
		'label'   => __( 'stumbleupon Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'tumblr',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'tumblr',
	array(
		'label'   => __( 'tumblr Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'whatsapp',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'whatsapp',
	array(
		'label'   => __( 'WhatsApp Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'weixin',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'weixin',
	array(
		'label'   => __( 'weixin Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'snapchat',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'snapchat',
	array(
		'label'   => __( 'snapchat Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'qq',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'qq',
	array(
		'label'   => __( 'QQ Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
$wp_customize->add_setting(
	'reddit',
	array(
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
	)
);
// Control: Name.
$wp_customize->add_control(
	'reddit',
	array(
		'label'   => __( 'reddit Link', 'food-blogger' ),
		'section' => 'social_links',
		'type'    => 'url',
	)
);
